CGAL 6.1.2 - CGAL and Solvers: CGAL::Eigen_matrix< FT, D1, D2 > Struct Template Reference

CGAL 6.1.2 - CGAL and Solvers

Loading...
Searching...
No Matches
List of all members | Public Types | Public Member Functions
CGAL::Eigen_matrix< FT, D1, D2 > Struct Template Reference
Reference Manual » Linear Systems

`#include <CGAL/Eigen_matrix.h>`

## Inherits from

Eigen::Matrix< FT, ::Eigen::Dynamic, ::Eigen::Dynamic >.

## Definition

template<class FT, int D1 = ::Eigen::Dynamic, int D2 = ::Eigen::Dynamic>
struct CGAL::Eigen_matrix< FT, D1, D2 >

The class `Eigen_matrix` is a wrapper around `Eigen` matrix type `Eigen::Matrix`.

Is model of
  `SvdTraits::Matrix`

Template Parameters

  T | Number type.
  D1 | Number of rows, or Dynamic
  D2 | Number of columns, or Dynamic

See also
  `CGAL::Eigen_vector<T>`
  `CGAL::Eigen_sparse_matrix<T>`
  `CGAL::Eigen_sparse_symmetric_matrix<T>`

## Public Types
typedef ::Eigen::Matrix< FT, D1, D2 > | EigenType
| The internal matrix type from Eigen.

## Public Member Functions
| Eigen_matrix ()
| Constructs a null matrix.
| Eigen_matrix (std::size_t nr, std::size_t nc)
| Constructs an uninitialized matrix with `nr` rows and `nc` columns.
| Eigen_matrix (const EigenType &b)
| Constructs a matrix from an Eigen matrix.
std::size_t | number_of_rows () const
| Returns the matrix number of rows.
std::size_t | number_of_columns () const
| Returns the matrix number of columns.
FT | operator() (std::size_t i, std::size_t j) const
| Returns the value of the matrix at position (i,j).
void | set (std::size_t i, std::size_t j, FT value)
| Writes access to a matrix coefficient: `a_ij` <- `val`.
const EigenType & | eigen_object () const
| Returns the internal matrix, with type `EigenType`.

## Constructor & Destructor Documentation

## ◆ Eigen_matrix()

template<class FT , int D1 = ::Eigen::Dynamic, int D2 = ::Eigen::Dynamic>

CGAL::Eigen_matrix< FT, D1, D2 >::Eigen_matrix | ( | std::size_t | nr,
|  | std::size_t | nc
| ) |  |

Constructs an uninitialized matrix with `nr` rows and `nc` columns.

This is useful for dynamic-size matrices. For fixed-size matrices, it is redundant to pass these parameters.